* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  /* font-family: "Poppins", sans-serif; */
  font-family: "Source Sans Pro", sans-serif;
}
html {
  scroll-behavior: smooth;
}
body {
  background: #0f1223;
  color: #fff;
}
h3 {
  color: #e7bf82;
  font-size: 2rem;
  text-align: center;
  letter-spacing: 4px;
  text-shadow:
    2px 2px #494949,
    3px 3px #fbae3a;
  padding-top: 4rem;
}

/**********************/
/*     Navigation     */
/**********************/
.navigation {
  display: flex;
  align-items: center;
  justify-content: space-around;
  height: 8vh;
  background: #0f1223;
  position: sticky;
  top: 0;
  z-index: 5;
}

.brand p {
  color: #e7bf82;
  font-size: 20px;
  font-weight: 600;
  letter-spacing: 2px;
}
.brand p span {
  color: #eee;
}
.brand a {
  text-decoration: none;
}
.nav_list {
  display: flex;
}
.nav_list li {
  padding: 10px;
  list-style: none;
}
.nav_list li a {
  color: #e7bf82;
  font-size: 16px;
  font-weight: 500;
  text-decoration: none;
  transition: all 0.3s ease-in-out;
}
.nav_list li a:hover {
  color: #f99806;
}

@media screen and (max-width: 768px) {
  .burger_menu {
    cursor: pointer;
  }
  .burger_menu div {
    width: 30px;
    height: 5px;
    margin: 5px;
    border-radius: 4px;
    background: #e7bf82;
    transition: all 0.3s ease-in-out;
  }
  .nav_list {
    position: fixed;
    flex-direction: column;
    align-items: center;
    background: #393939;
    top: 8vh;
    width: 100%;
    padding-bottom: 40px;
    transform: scaleY(0);
    transform-origin: top;
    transition: 0.3s ease-in-out;
  }
}
.switch_menu div {
  background: #e7bf82;
}
.switch_menu .one {
  transform: rotate(45deg) translate(6px, 8px);
}
.switch_menu .two {
  opacity: 0;
}
.switch_menu .three {
  transform: rotate(-45deg) translate(6px, -8px);
}
.toggle_navigation {
  transform: scaleY(1);
}

/**********************/
/*     Header         */
/**********************/
.main {
  background-color: #0f1223;
  width: 100%;
  height: 92vh;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-direction: column;
  padding-left: 4rem;
}
.main p {
  font-size: 3rem;
  font-weight: 600;
  color: #9c9c9c;
}
.main h2 {
  font-size: 3rem;
  font-weight: 700;
  color: #fff;
}

.main button {
  font-size: 1rem;
  font-weight: 600;
  margin-top: 1rem;
  padding: 0.6rem 1.4rem;
  color: #161515;
  background: #e7bf82;
  border: 2px solid #e7bf82;
  border-radius: 2rem;
  transition: 0.2s ease-in-out;
}
.main button > a {
  text-decoration: none;
  color: #161515;
}
.main button > a:hover {
  color: #e7bf82;
}
.main button:hover {
  color: #e7bf82;
  background: transparent;
  cursor: pointer;
}

/**********************/
/*   Scroll to About  */
/**********************/
.scroll_down {
  border: 2px solid /*#18cdca*/ #e7bf82;
  background: #e7bf82;
  position: absolute;
  right: 20px;
  bottom: 20px;
  border-radius: 30px;
  height: 100px;
  width: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1;
  animation: glow 2.5s ease-in-out infinite reverse;
}
.scroll_down:hover,
.scroll_down a:hover {
  background-color: transparent;
  color: #e7bf82;
}
/* Animation of scroll to about section */
@keyframes glow {
  0% {
    box-shadow: 0 0 5px #e7bf82;
  }
  50% {
    box-shadow: 0 0 14px #e7bf82;
  }
  100% {
    box-shadow: 0 0 5px #e7bf82;
  }
}
.scroll_down a {
  font-size: 2rem;
  color: #0f1223;
}
@media screen and (min-width: 768px) {
  .main h2 {
    font-size: 4rem;
  }
  .scroll_down {
    right: 100px;
    bottom: 100px;
  }
}
@media screen and (min-width: 1024px) {
  .main h2 {
    font-size: 5rem;
  }
  .main button {
    font-size: 1.3rem;
    padding: 1rem 2rem;
  }
}
@media screen and (max-width: 500px) {
  .main h2 {
    font-size: 3rem;
  }
}

/**********************/
/*     About us       */
/**********************/
.about_img {
  margin-top: 3rem;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 0.7rem;
}
.about_img img {
  max-width: 100%;
  height: 60vh;
  object-fit: contain;
  border-radius: 6px;
  /* box-shadow: 2px 2px 8px #e7bf82; */
}
.aboutus {
  padding: 1rem;
}
.aboutus p:nth-child(1) {
  font-size: 1.4rem;
  font-weight: 500;
}
.aboutus span {
  color: #e7bf82;
  font-style: italic;
  font-weight: 700;
  letter-spacing: 2px;
}
.aboutus p:nth-child(2) {
  font-size: 1rem;
  margin-top: 0.8rem;
  line-height: 1.6;
}
.aboutus .socials {
  display: inline-flex;
  gap: 1rem;
  margin-top: 0.4rem;
}
.aboutus .socials a {
  color: #e7bf82;
  font-size: 1.2rem;
}
@media screen and (min-width: 768px) {
  h3 {
    font-size: 3rem;
  }
  .about_content {
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 10px;
  }
  .about_img {
    width: 30%;
  }
  .about_img img {
    max-width: 100%;
    height: auto;
    object-fit: contain;
  }
  .aboutus {
    width: 60%;
  }
}
@media screen and (min-width: 1096px) {
  /* .about{
    margin-top: 0;
  } */
  .about_img {
    width: 35%;
  }
  .aboutus {
    width: 50%;
  }
  .aboutus p:nth-child(1) {
    font-size: 2rem;
    letter-spacing: 1px;
  }
  .aboutus p:nth-child(2) {
    /* height: 60vh; */
    font-size: 1rem;
    letter-spacing: 1px;
  }
  .aboutus .socials a {
    font-size: 1.4rem;
  }
}
@media screen and (min-width: 1450px) {
  .about_img {
    width: 25%;
  }
}

/**********************/
/*   Tech and Tools   */
/**********************/
.tech_container {
  margin-top: 4rem;
  display: inline-grid;
  width: 100%;
  justify-content: center;
  grid-template-columns: 80px 80px 80px;
  gap: 0.8rem;
  padding: 0.8rem;
}
.tools {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  border-radius: 4px;
  background: /*#2e2d2d*/ #191e3a;
  padding: 0.7rem;
  width: 80px;
  height: 80px;
  transition: all 0.3s ease;
}
.tools:hover {
  background: transparent;
  border: 2px solid #e7bf82;
}
.tools img {
  width: 50px;
  padding: 0.7rem;
}
.tools p {
  font-size: 0.6rem;
  letter-spacing: 1px;
  font-weight: 500;
  color: /*#18cdca*/ #e7bf82;
}
@media screen and (min-width: 600px) {
  .tech_container {
    grid-template-columns: 80px 80px 80px 80px 80px;
  }
}
@media screen and (min-width: 768px) {
  .tech_container {
    grid-template-columns: 100px 100px 100px 100px 100px;
    gap: 1rem;
  }
  .tools {
    width: 100px;
    height: 100px;
  }
  .tools img {
    width: 55px;
  }
  .tools p {
    font-size: 0.7rem;
  }
}
@media screen and (min-width: 1096px) {
  .tech_container {
    grid-template-columns: 120px 120px 120px 120px 120px;
    gap: 1.2rem;
  }
  .tools {
    width: 120px;
    height: 120px;
  }
  .tools img {
    width: 65px;
  }
  .tools p {
    font-size: 0.9rem;
  }
}
@media screen and (min-width: 1450px) {
  .tech_container {
    grid-template-columns: 150px 150px 150px 150px 150px;
    gap: 1.4rem;
  }
  .tools {
    width: 150px;
    height: 150px;
    border-radius: 6px;
  }
  .tools img {
    width: 80px;
  }
  .tools p {
    font-size: 1rem;
  }
}

/**********************/
/*      Projects      */
/**********************/
.works_wrapper {
  margin-top: 4rem;
  display: inline-grid;
  width: 100%;
  justify-content: center;
  gap: 2rem;
}
.work_container,
.sf_work_container {
  width: 300px;
  height: 400px;
  border-radius: 30px;
  border: 3px solid #e7bf82;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: end;
  padding: 1.4rem;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
.work_container h4 {
  color: #191e3a;
}
.work_container:nth-child(1) {
  background: url(/assets/YEGOmniScript.gif);
}
.work_container:nth-child(2) {
  background: url(/assets/datatable.gif);
}
.work_container:nth-child(3) {
  background: url(/assets/Screenshot\ \(454\).png);
}
.work_container:nth-child(4) {
  background: url(/assets/Screenshot\ \(452\).png);
}
.work_container:nth-child(5) {
  background: url(/assets/movies.gif);
}
.work_container:nth-child(6) {
  background: url(/assets/restaurantpage.gif);
}
.work_container:nth-child(7) {
  background: url(/assets/Screenshot\ \(451\).png);
}
.work_container:nth-child(8) {
  background: url(/assets/tech-assets/Screenshot\ \(450\).png);
}
.work_container:nth-child(9) {
  background: url(/assets/memorygame.gif);
}
.work_container:nth-child(10) {
  background: url(/assets/oppthankyouflow.gif);
}
.work_container:nth-child(11) {
  background: url(/assets/oppinstallflow.gif);
}
.work_container:nth-child(12) {
  background: url(/assets/mileagetracker.gif);
}
.work_container:nth-child(13) {
  background: url(/assets/omoni2.gif);
}
.work_container:nth-child(14) {
  background: url(/assets/booking2.gif);
}
.work_container:nth-child(15) {
  background: url(/assets/tenzies.gif);
}
.work_container:nth-child(16) {
  background: url(/assets/trackerly.gif);
}
.work_container:nth-child(17) {
  background: url(/assets/nikki.gif);
}
.work_container:nth-child(18) {
  background: url(/assets/nasa.gif);
}

.work_container .visit,
.sf_work_container .visit {
  text-decoration: none;
  background-color: rgb(223, 17, 17, 0.7);
  color: white;
  font-size: 1rem;
  padding: 0.3rem 1rem;
  width: 70px;
  text-align: center;
  border: 1px solid wheat;
  border-radius: 2px;
}
.work_container .visit:hover,
.sf_work_container .visit:hover {
  background-color: rgb(40, 3, 3);
  transition: 0.5s;
}
.work_container a,
.sf_work_container a {
  color: #e80c0c;
  font-size: 1.2rem;
}
.fa-github {
  position: absolute;
  top: 1rem;
  right: 1.8rem;
}
.fa-external-link-alt {
  position: absolute;
  top: 1rem;
  right: 3.5rem;
}

@media screen and (min-width: 320px) {
  .work_container,
  .sf_work_container {
    width: 310px;
    height: 250px;
  }
}
@media screen and (min-width: 420px) {
  .work_container,
  .sf_work_container {
    width: 380px;
    height: 250px;
  }
}
@media screen and (min-width: 860px) {
  .works_wrapper {
    grid-template-columns: 380px 380px;
    gap: 0 2rem;
  }
  .works_wrapper div:nth-child(even) {
    margin-top: 2rem;
  }
}
@media screen and (min-width: 1260px) {
  .works_wrapper {
    grid-template-columns: 400px 400px;
  }
  .work_container,
  .sf_work_container {
    width: 400px;
    height: 270px;
  }
  .work_container p:nth-child(1),
  .sf_work_container p:nth-child(1) {
    font-size: 1.3rem;
  }
  .work_container p:nth-child(2),
  .sf_work_container p:nth-child(2) {
    margin-top: 0.4rem;
    font-size: 0.8rem;
  }
}

/**********************/
/*     Contact us     */
/**********************/
.form_wrapper {
  margin-top: 4rem;
  display: flex;
  width: 100%;
  justify-content: center;
  align-items: center;
}
.form {
  display: flex;
  flex-direction: column;
  padding: 1rem;
  width: 100%;
  margin: 1rem;
  background: /*#393939*/ #191e3a;
  border-radius: 6px;
}
input,
textarea {
  padding: 1rem;
  margin: 0.2rem;
  color: #0f1223;
  font-size: 0.8rem;
  font-weight: 500;
  letter-spacing: 1px;
  background: #edd0a6; /*#616161 #a1a2a7; */
  border: none;
  border-radius: 4px;
  outline: none;
}
::placeholder {
  color: #0f1223;
}
.form .btn {
  font-size: 1rem;
  width: 40%;
  align-self: center;
  cursor: pointer;
  transition: 0.2s linear;
  font-weight: 600;
}
.form .btn:hover {
  color: #e7bf82;
  background-color: transparent;
  border: 2px solid #e7bf82;
}
@media screen and (min-width: 400px) {
  .form {
    width: 400px;
  }
}
@media screen and (min-width: 680px) {
  .form {
    width: 500px;
  }
  .form input,
  .form textarea {
    padding: 1.4rem;
    margin: 0.37rem;
    font-size: 1rem;
  }
}
@media screen and (min-width: 800px) {
  .form {
    width: 600px;
  }
}

/**********************/
/*       Footer       */
/**********************/
.footer {
  margin-top: 4rem;
  padding: 2rem 0;
  background: #191e3a;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  min-height: 300px;
  align-items: center;
  color: #fff;
}
.footer div:nth-child(1) p {
  color: #fff;
  font-size: 13px;
  font-weight: 400;
  text-align: center;
  margin-top: 1em;
}

.footer div:nth-child(1) img {
  width: 80px;
  height: 80px;
}
.footer a {
  color: #e7bf82;
  text-decoration: none;
}
.footer a:hover {
  color: #f99806;
}
.footer div:nth-child(2) a {
  font-size: 2rem;
  margin-right: 8px;
}
@media screen and (min-width: 480px) {
  .footer {
    flex-direction: row;
    min-height: 200px;
  }
}
